<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.process.mapper.RGeneralSurveyPlanPOMapper">
  <resultMap id="BaseResultMap" type="com.njcn.process.pojo.po.RGeneralSurveyPlanPO">
    <!--@mbg.generated-->
    <!--@Table r_general_survey_plan-->
    <id column="org_no" jdbcType="VARCHAR" property="orgNo" />
    <id column="plan_no" jdbcType="VARCHAR" property="planNo" />
    <result column="plan_name" jdbcType="VARCHAR" property="planName" />
    <result column="plan_create_time" jdbcType="DATE" property="planCreateTime" />
    <result column="plan_start_time" jdbcType="DATE" property="planStartTime" />
    <result column="plan_end_time" jdbcType="DATE" property="planEndTime" />
    <result column="plan_complate_time" jdbcType="DATE" property="planComplateTime" />
    <result column="leader" jdbcType="VARCHAR" property="leader" />
    <result column="status" jdbcType="TINYINT" property="status" />
    <result column="description" jdbcType="VARCHAR" property="description" />
    <result column="is_file_upload" jdbcType="TINYINT" property="isFileUpload" />
    <result column="file_count" jdbcType="INTEGER" property="fileCount" />
    <result column="file_path" jdbcType="VARCHAR" property="filePath" />
    <result column="upload_time" jdbcType="DATE" property="uploadTime" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    org_no, plan_no, plan_name, plan_create_time, plan_start_time, plan_end_time, plan_complate_time, 
    leader, `status`, description, is_file_upload, file_count, file_path, upload_time
  </sql>
</mapper>